Name:          kmod
Version:       34.2
Release:       1mamba
Summary:       Utilities for Linux kernel module handling
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://web.git.kernel.org/pub/scm/utils/kernel/kmod/kmod.git
Source0:       http://www.kernel.org/pub/linux/utils/kernel/kmod/kmod-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: liblzma-devel
BuildRequires: libopenssl-devel
BuildRequires: libz-devel
BuildRequires: libzstd-devel
## AUTOBUILDREQ-END
BuildRequires: fish
BuildRequires: scdoc
Requires:      libkmod = %{?epoch:%epoch:}%{version}-%{release}
Provides:      module-init-tools
Obsoletes:     module-init-tools < 28
# Compatibility stuff
Provides:      init_tools
Provides:      modutils
Obsoletes:     modutils < 28
Provides:      klibc-module-init-tools
Obsoletes:     klibc-module-init-tools < 28

%description
kmod is a set of tools to handle common tasks with Linux kernel modules like insert, remove, list, check properties, resolve dependencies and aliases.
These tools are designed on top of libkmod, a library that is shipped with kmod.
The aim is to be compatible with tools, configurations and indexes from module-init-tools project.

%package -n libkmod
Group:         System/Libraries
Summary:       Shared librarie for Linux kernel module handling

%description -n libkmod
The goal of the library libkmod is to offer to other programs the needed flexibility and fine grained control over insertion, removal, configuration and listing of kernel modules.

%package -n libkmod-devel
Group:         Development/Libraries
Summary:       Development files for libkmod
Requires:      libkmod = %{?epoch:%epoch:}%{version}-%{release}

%description -n libkmod-devel
This package contains libraries and header files for developing applications that use libkmod.

%prep
%setup -q
./autogen.sh

%build
%configure \
   --sbindir=%{_bindir} \
   --with-xz \
   --with-zlib \
   --with-zstd \
   --with-openssl \
   --enable-debug

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

install -d %{buildroot}%{_sysconfdir}/modprobe.d
install -d %{buildroot}%{_sysconfdir}/depmod.d
install -d %{buildroot}%{_prefix}/lib/depmod.d

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%posttrans
# Migrate /lib/modprobe.d to /usr/lib/modprobe.d
[ ! -L /lib -a ! -L /lib/modprobe.d ] && {
  for f in /lib/modprobe.d/*; do
     mv $f /usr/lib/modprobe.d/
  done
  rmdir /lib/modprobe.d || mv /lib/modprobe.d /lib/modprobe.d.notmigrated
  ln -s ../usr/lib/modprobe.d /lib/modprobe.d
  ln -s ../usr/lib/depmod.d /lib/depmod.d
}
:

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/depmod.d
%dir %{_sysconfdir}/modprobe.d
%{_bindir}/kmod
%{_bindir}/depmod
%{_bindir}/insmod
%{_bindir}/lsmod
%{_bindir}/modinfo
%{_bindir}/modprobe
%{_bindir}/rmmod
%dir %{_prefix}/lib/depmod.d
%{_datadir}/bash-completion/completions/*
%{_datadir}/fish/vendor_completions.d/*.fish
%{_datadir}/zsh/site-functions/_*
%{_mandir}/man5/depmod.d.*
%{_mandir}/man5/modprobe.d.*
%{_mandir}/man5/modules.dep.*
%{_mandir}/man8/depmod.*
%{_mandir}/man8/kmod.8.*
%{_mandir}/man8/insmod.*
%{_mandir}/man8/lsmod.*
%{_mandir}/man8/modinfo.*
%{_mandir}/man8/modprobe.*
%{_mandir}/man8/rmmod.*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libkmod.so.*
%doc COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/libkmod.h
%{_libdir}/libkmod.so
%{_libdir}/pkgconfig/libkmod.pc
%{_datadir}/pkgconfig/kmod.pc
%doc NEWS libkmod/README

%changelog
* Fri Mar 28 2025 Automatic Build System <autodist@openmamba.org> 34.2-1mamba
- automatic version update by autodist

* Thu Mar 13 2025 Automatic Build System <autodist@openmamba.org> 34.1-1mamba
- automatic version update by autodist

* Fri Sep 27 2024 Automatic Build System <autodist@openmamba.org> 33-1mamba
- automatic version update by autodist

* Fri Mar 08 2024 Automatic Build System <autodist@openmamba.org> 32-1mamba
- automatic version update by autodist

* Sat Sep 30 2023 Automatic Build System <autodist@mambasoft.it> 31-1mamba
- automatic version update by autodist

* Sun Jul 30 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 30-2mamba
- remove lsmod symlink from /usr/bin

* Thu Jul 07 2022 Automatic Build System <autodist@mambasoft.it> 30-1mamba
- automatic version update by autodist

* Sat Dec 25 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 29-2mamba
- rebuilt with openssl 3.0.1

* Fri May 21 2021 Automatic Build System <autodist@mambasoft.it> 29-1mamba
- automatic version update by autodist

* Thu Apr 22 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 28-3mamba
- restore --bindir=%{_sbindir} to fix major boot problems with systemd

* Wed Apr 21 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 28-2mamba
- rebuilt in flat /usr filesystem
- migrate /lib/modprobe.d to /usr/lib/modprobe.d and add symlink
- add configure options

* Fri Jan 08 2021 Automatic Build System <autodist@mambasoft.it> 28-1mamba
- automatic version update by autodist

* Wed Feb 19 2020 Automatic Build System <autodist@mambasoft.it> 27-1mamba
- automatic version update by autodist

* Fri Feb 08 2019 Automatic Build System <autodist@mambasoft.it> 26-1mamba
- automatic version update by autodist

* Sat Mar 24 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 25-1mamba
- update to 25

* Fri Mar 03 2017 Automatic Build System <autodist@mambasoft.it> 24-1mamba
- automatic version update by autodist

* Wed Jul 20 2016 Automatic Build System <autodist@mambasoft.it> 23-1mamba
- automatic version update by autodist

* Wed Nov 18 2015 Automatic Build System <autodist@mambasoft.it> 22-1mamba
- automatic version update by autodist

* Tue Jun 09 2015 Automatic Build System <autodist@mambasoft.it> 21-1mamba
- automatic version update by autodist

* Wed Mar 11 2015 Automatic Build System <autodist@mambasoft.it> 20-1mamba
- automatic update by autodist

* Tue Nov 18 2014 Automatic Build System <autodist@mambasoft.it> 19-1mamba
- automatic version update by autodist

* Sun Jun 15 2014 Automatic Build System <autodist@mambasoft.it> 18-1mamba
- automatic version update by autodist

* Mon Apr 07 2014 Automatic Build System <autodist@mambasoft.it> 17-1mamba
- automatic version update by autodist

* Mon Dec 23 2013 Automatic Build System <autodist@mambasoft.it> 16-1mamba
- automatic version update by autodist

* Sat Aug 24 2013 Automatic Build System <autodist@mambasoft.it> 15-1mamba
- automatic version update by autodist

* Mon Jul 08 2013 Automatic Build System <autodist@mambasoft.it> 14-1mamba
- automatic version update by autodist

* Fri Apr 26 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 13-3mamba
- added upstream patch to fix null pointer error (and fix segmentation fault seen on rpi)
- arm: revert for now finit_module logic patch to support older kernels on this architecture

* Sun Apr 14 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 13-2mamba
- provide and own /lib/modprobe.d directory

* Wed Apr 10 2013 Automatic Build System <autodist@mambasoft.it> 13-1mamba
- automatic version update by autodist

* Wed Dec 05 2012 Automatic Build System <autodist@mambasoft.it> 12-1mamba
- automatic version update by autodist

* Thu Nov 08 2012 Automatic Build System <autodist@mambasoft.it> 11-1mamba
- automatic version update by autodist

* Fri Sep 07 2012 Automatic Build System <autodist@mambasoft.it> 10-1mamba
- automatic version update by autodist

* Sun Jul 22 2012 Davide Madrisan <davide.madrisan@gmail.com> 9-1mamba
- update to 9

* Mon May 14 2012 Davide Madrisan <davide.madrisan@gmail.com> 8-1mamba
- update to 8

* Sun May 13 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 7-2mamba
- fixed /usr/bin/lsmod symlink

* Mon Mar 19 2012 Davide Madrisan <davide.madrisan@gmail.com> 7-1mamba
- update to 7

* Sat Mar 17 2012 Davide Madrisan <davide.madrisan@gmail.com> 6-1mamba
- update to 6

* Sun Feb 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 5-2mamba
- added upstream patch to fix infinite loop of vboxdrv due to /etc/modprobe.d file

* Tue Feb 07 2012 Davide Madrisan <davide.madrisan@gmail.com> 5-1mamba
- update to 5

* Fri Jan 20 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 4-3mamba
- added patch to prevent modprobe from failing when cwd contains a directory with module name

* Wed Jan 18 2012 Davide Madrisan <davide.madrisan@gmail.com> 4-2mamba
- opsolete module-init-tools

* Mon Jan 16 2012 Davide Madrisan <davide.madrisan@gmail.com> 4-1mamba
- update to 4

* Sun Jan 08 2012 Davide Madrisan <davide.madrisan@gmail.com> 3-3mamba
- mv libraries to %%{_lib}
- add a debug package
- add provides and conflicts tags required for backward compatibility

* Sat Jan 07 2012 Davide Madrisan <davide.madrisan@gmail.com> 3-2mamba
- own %{_sysconfdir}/modprobe.d

* Fri Jan 06 2012 Davide Madrisan <davide.madrisan@gmail.com> 3-1mamba
- update to version 3
- conflicts module-init-tools

* Wed Dec 28 2011 Davide Madrisan <davide.madrisan@gmail.com> 2-1mamba
- package created by autospec
